Subject: [alpine-devel] [PATCH] testing/py-templayer: added py- prefix to package and improved the APKBUILD

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:46:01 -0600

---
 testing/py-templayer/APKBUILD |   43 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-templayer/APKBUILD

diff --git a/testing/py-templayer/APKBUILD b/testing/py-templayer/APKBUILD
new file mode 100644
index 0000000..279ffc1
--- /dev/null
+++ b/testing/py-templayer/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer: Matt Smith <[email-masked]>
+pkgname=py-templayer
+_pkgname=templayer
+pkgver=1.5.1
+pkgrel=1
+pkgdesc="Templayer is a layered template library for Python and Django"
+url="http://excess.org/templayer/"
+arch="x86 x86_64"
+license="LGPL"
+depends="python"
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc"
+source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+        cd "$_builddir"
+        python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --root "$pkgdir"
+}
+
+doc() {
+	cd "$_builddir"
+
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+	for doc in reference.html tutorial.html tutorial_examples.tar.gz; do
+		install -Dm644 ./docs/$doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+	done
+}
+
+md5sums="9d1a3aa0cece34a2492792278aad406d  templayer-1.5.1.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: "Matt Smith" <[email-masked]>
Date: Wed, 15 Dec 2010 04:55:50 -0600 (CST)

On Tuesday, December 14, 2010 11:46pm, "Matt Smith" <[email-masked]> said:
...
> +++ b/testing/py-templayer/APKBUILD
...

Sorry guys, I think I should have used 'git mv' instead of this.  Can you guys fix this for me?

It should be:
testing/templayer -> testing/py-templayer
testing/urwid -> testing/py-urwid

The new APKBUILDs are good and the old ones can be deleted.

- Matt

---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 16 Dec 2010 12:03:11 +0100

> testing/urwid -> testing/py-urwid

Ok, I think I have cleaned it up now. All other patches should be
applied too. Can you please verify so i didnt miss anything?

Aslo, pure python pakcages should have arch="noarch". We need to doc
that.

Great job! Thanks!

-nc

---

---

From: "Matt Smith" <[email-masked]>
Date: Thu, 16 Dec 2010 11:39:38 -0600 (CST)

> applied too. Can you please verify so i didnt miss anything?

Just an update:
The then-new py-{templayer,urwid}/APKBUILDs were good, while the old {templayer,urwid}/APKBUILDs were somewhat bad.  Sorry about that.  I've got a new patch on alpine-devel here for the two.

> Aslo, pure python pakcages should have arch="noarch". We need to doc

I've got another set of patches that fix this on the python/perl packages I'm maintaining. :)

I can see about adding it to the wiki.

> -nc

Thanks!
- Matt

---